package com.archeus;

import java.util.StringTokenizer;

/**
 * <p>Retine informatii despre un fragment de text formatat</p>
 * @author ionut
 * @since Feb 24, 2007 12:30:09 PM
 */
public class FormatedText extends FormatedWord {

	/**
	*  <p>Caracterele la care se face impartirea in cuvinte</p>
	*/
	public static final String delim = " \t\n:;*/-+,.\"" + "=?!()[]{}";
	
	public FormatedText(String text, boolean bold, boolean italic, int level) {
		super(text, bold, italic, level);
	}

	public FormatedText(String text, TextAttr format, int level) {
		super(text, format, level);
	}

	public FormatedWordList getWords(){
		FormatedWordList res = new FormatedWordList();
		StringTokenizer t = new StringTokenizer(getText(), delim, true);
		while (t.hasMoreTokens()) 
			res.add(new FormatedWord(t.nextToken(), isBold(), isItalic(), getLevel())) ;
		return res;

	}
}
