/**
 * 
 */
package com.archeus.dex.xml.test;

import java.io.File;
import java.io.FileReader;

import junit.framework.TestCase;

import org.xml.sax.InputSource;

import com.archeus.WordListArray;
import com.archeus.dex.xml.run.DEXtoXML;

/**
 * @author ionut
 * @since Feb 18, 2007 9:12:53 PM
 */
public class TestDexToXMLGeneric extends TestCase {

	WordListArray res;

	protected void setUp() throws Exception {
		super.setUp();
		res = new WordListArray();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void loadFile(String fileName) {
		assertNotNull(fileName);
		File f = new File(fileName);
		assertTrue(f.exists());
		try {
			res.clear();
			InputSource src = new InputSource(new FileReader(f));
			src.setEncoding("UTF-8");
			DEXtoXML.parseDefinition(src, res);
		} catch (Exception e) {
//			e.printStackTrace();
			fail(e.getMessage());
		}
	}

}
